osl::game_playing::AlphaBeta2ProgressEvalPlayer Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | List of all members
osl::game_playing::AlphaBeta2ProgressEvalPlayer Class Reference

`#include <alphaBetaPlayer.h>`

Inheritance diagram for osl::game_playing::AlphaBeta2ProgressEvalPlayer:
[legend]
Collaboration diagram for osl::game_playing::AlphaBeta2ProgressEvalPlayer:
[legend]

## Public Member Functions
| AlphaBeta2ProgressEvalPlayer ()
| ~AlphaBeta2ProgressEvalPlayer ()
ComputerPlayer * | clone () const
| new したものを返す More...
const MoveWithComment | searchWithSecondsForThisMove (const GameState &, const search::TimeAssigned &)
bool | isReasonableMove (const GameState &, Move move, int pawn_sacrifice)
Public Member Functions inherited from osl::game_playing::SearchPlayer
| SearchPlayer ()
| SearchPlayer (const SearchPlayer &)
| ~SearchPlayer ()
void | setDepthLimit (int limit, int initial_limit, int deepening_step)
void | setNodeLimit (size_t node_limit)
void | setNodeCountHardLimit (size_t node_limit)
void | setTableLimit (size_t size, int record_limit)
void | setVerbose (int verbose=1)
void | setDrawCoef (double new_value)
void | setNextIterationCoefficient (double new_value)
double | nextIterationCoefficient () const
void | enableSavePV (bool enable=true)
void | enableMultiPV (int width)
void | addMonitor (const boost::shared_ptr< search::SearchMonitor > &)
void | resetRecorder (search::CountRecorder *new_recorder)
| 所有権移転 More...
void | pushMove (Move m)
void | popMove ()
void | swapTable (SearchPlayer &other)
| other の局面表と取り替える More...
const search::SimpleHashTable * | table () const
const search::CountRecorder & | recorder () const
bool | stopSearchNow ()
| 探索をとめる More...
bool | canStopSearch ()
const MoveWithComment | selectBestMove (const GameState &, int limit, int elapsed, int byoyomi)
| searchWithSecondsForThisMove を呼び出す More...
const MoveWithComment | selectBestMoveInTime (const GameState &, const search::TimeAssigned &)
const search::TimeAssigned | assignTime (const GameState &state, int limit, int elapsed, int byoyomi) const
void | saveSearchResult (const GameState &, const MoveWithComment &)
void | setRootIgnoreMoves (const MoveVector *rim, bool prediction)
const Config & | getConfig () const
int | secondsForThisMove (const GameState &state, int limit, int elapsed, int byoyomi) const
void | setTimeAssign (const search::TimeAssigned &new_assign)
const MilliSeconds | startTime () const
template<class Searcher >
osl::game_playing::ComputerPlayer * | cloneIt (const Searcher &copy) const
template<class Searcher >
int | pawnValue ()
template<class Searcher >
int | pawnValueOfTurn (Player turn)
template<class Searcher >
const osl::search::MoveWithComment | search (const GameState &state, const search::TimeAssigned &msec)
Public Member Functions inherited from osl::game_playing::ComputerPlayer
| ComputerPlayer ()
virtual | ~ComputerPlayer ()
virtual void | setInitialState (const NumEffectState &)
virtual void | allowSpeculativeSearch (bool value)
| 相手時間の探索を許可する (GameManager が操作) More...
virtual void | setRootIgnoreMoves (const container::MoveVector *rim, bool prediction)
Public Member Functions inherited from osl::game_playing::ComputerPlayerSelectBestMoveInTime
virtual | ~ComputerPlayerSelectBestMoveInTime ()

## Additional Inherited Members
Static Public Member Functions inherited from osl::game_playing::SearchPlayer
static const search::TimeAssigned | assignTime (const GameState &state, int limit, int elapsed, int byoyomi, int verbose)
static int | secondsForThisMove (const GameState &state, int limit, int elapsed, int byoyomi, int verboseness)
Protected Member Functions inherited from osl::game_playing::SearchPlayer
template<class Searcher >
ComputerPlayer * | cloneIt (const Searcher &) const
const MilliSeconds::Interval | setUpTable (const GameState &, int pawn_value)
template<class Searcher >
const MoveWithComment | search (const GameState &, const search::TimeAssigned &)
template<class Searcher >
bool | isReasonableMoveBySearch (Searcher &, Move move, int pawn_sacrifice)
const search::TimeAssigned | adjust (const search::TimeAssigned &org, const MilliSeconds::Interval &elapsed)
Static Protected Member Functions inherited from osl::game_playing::SearchPlayer
template<class Searcher >
static int | pawnValue ()
template<class Searcher >
static int | pawnValueOfTurn (Player turn)
Protected Attributes inherited from osl::game_playing::SearchPlayer
Config | config
boost::shared_ptr < search::SimpleHashTable > | table_ptr
boost::shared_ptr < checkmate::DualDfpn > | checkmate_ptr
boost::scoped_ptr < search::CountRecorder > | recorder_ptr
volatile bool | searching
boost::scoped_ptr < search::SearchTimer > | searcher
volatile bool | plan_stop
| 探索に入る前に止める More...
const MoveVector * | root_ignore_moves
bool | prediction_for_speculative_search
boost::scoped_ptr< PVHistory > | pv_history
int | almost_resign_count

## Detailed Description

Definition at line 17 of file alphaBetaPlayer.h.

## Constructor & Destructor Documentation

osl::game_playing::AlphaBeta2ProgressEvalPlayer::AlphaBeta2ProgressEvalPlayer | ( | ) |  |

Definition at line 15 of file alphaBetaPlayer.cc.

osl::game_playing::AlphaBeta2ProgressEvalPlayer::~AlphaBeta2ProgressEvalPlayer | ( | ) |  |

Definition at line 20 of file alphaBetaPlayer.cc.

## Member Function Documentation

osl::game_playing::ComputerPlayer * osl::game_playing::AlphaBeta2ProgressEvalPlayer::clone | ( | ) |  | const
| virtual

new したものを返す

Implements osl::game_playing::ComputerPlayer.

Definition at line 25 of file alphaBetaPlayer.cc.

bool osl::game_playing::AlphaBeta2ProgressEvalPlayer::isReasonableMove | ( | const GameState & | ,
|  | Move | move,
|  | int | pawn_sacrifice
| ) |  |
| virtual

Returns
  success to stop

Reimplemented from osl::game_playing::ComputerPlayer.

Definition at line 50 of file alphaBetaPlayer.cc.

References osl::game_playing::GameState::state().

const osl::search::MoveWithComment osl::game_playing::AlphaBeta2ProgressEvalPlayer::searchWithSecondsForThisMove | ( | const GameState & | gs,
|  | const search::TimeAssigned & | org
| ) |  |
| virtual

Implements osl::game_playing::SearchPlayer.

Definition at line 31 of file alphaBetaPlayer.cc.

References adjust(), and osl::game_playing::GameState::state().

The documentation for this class was generated from the following files:

- alphaBetaPlayer.h
- alphaBetaPlayer.cc